spack:
  include:
    - mirrors.yaml
    - packages.yaml
    - repos.yaml

  definitions:
    - compilers:
        - gcc
    - mpi_codes:
        - osu-micro-benchmarks
    - mpis:
        - openmpi
  specs:
    - $compilers
    - matrix:
        - [$mpis]
        - [$%compilers]
    - matrix:
        - [$mpi_codes]
        - [$^mpis]
        - [$%compilers]

  view:
    default:
      root: /stack/packages/
      link: all
      link_type: copy
